net.sourceforge.pmd.util

## Class FileIterable

- java.lang.Object
- - net.sourceforge.pmd.util.FileIterable

All Implemented Interfaces:
  Iterable<String>

    public class FileIterable
    extends Object
    implements Iterable<String>

Handy class to easily iterate over a file, line by line, using a Java 5 for loop.

Author:
  Romain Pelisse <belaran@gmail.com>

### Constructor Summary

Constructors
Constructor and Description
`FileIterable(File file)`

### Method Summary

Methods
`protected void` `finalize()`
`Iterator<String>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileIterable

    public FileIterable(File file)

### Method Detail

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### iterator

    public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`